summaryrefslogtreecommitdiff
path: root/features/src/common-utils/bin/systemctl
diff options
context:
space:
mode:
Diffstat (limited to 'features/src/common-utils/bin/systemctl')
-rwxr-xr-xfeatures/src/common-utils/bin/systemctl7
1 files changed, 7 insertions, 0 deletions
diff --git a/features/src/common-utils/bin/systemctl b/features/src/common-utils/bin/systemctl
new file mode 100755
index 0000000..4ead985
--- /dev/null
+++ b/features/src/common-utils/bin/systemctl
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+if [ -d "/run/systemd/system" ]; then
+ exec /bin/systemctl "$@"
+else
+ echo '\n"systemd" is not running in this container due to its overhead.\nUse the "service" command to start services instead. e.g.: \n\nservice --status-all'
+fi